-- =============================================
-- Author:		<Federica Cianfa>
-- Create date: <25/09/2014>
-- Description:	<SP che estrae i dati dalle tb C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio e C6MartPeriodico.TB_S80BisEvoluzioneRischio per il controllo dei dati S80 per QC>
-- =============================================
CREATE procedure [dbo].[creaExcelVerificaCampioneS80]
AS
BEGIN
SELECT  PAT.Rete AS rete,
		PAT.Cod_Fiscale AS cf,
		--PAT.Fase AS TIPO,
		CASE WHEN PAT.Fase = 1 THEN 'Avvio monitoraggio'
		WHEN PAT.Fase = 2 THEN 'Precedente invio'
		END AS [Type],
		PAT.DataFase AS [Data riferimento],
		PAT.CTV_EXT AS [Extra rendimento],
		PAT.CTV_INV AS Investimento,
		PAT.CTV_PRE AS Previdenza,
		PAT.CTV_RIS AS Riserva,
		PAT.CTV_LIQ AS [Liquidità],
		PAT.RisorseAllocate AS [Totale risorse allocate],
		PAT.RisorseNonAllocate AS [Risorse non allocate],
		PAT.ContoCorrente AS [Scoperto di Conto Corrente],
		PAT.Partita_viaggiante AS [Investimenti in corso],
		PAT.RisorseAllocate + PAT.RisorseNonAllocate + PAT.ContoCorrente + PAT.Partita_viaggiante AS [Totale patrimonio],
		RIS.VarMassimoProfiloFinanziario AS [VaR massimo profilo finanziario],
		RIS.VarComplessivo AS [Rischio Mercato (VaR%)],
		RIS.Copertura AS Copertura,
		--RIS.RISKCLASSMAX AS [Rischio Credito massimo],
		CASE WHEN RIS.RISKCLASSMAX IS NULL THEN 0
		     ELSE RIS.RISKCLASSMAX
		     END AS [Rischio Credito massimo],
		CASE WHEN RIS.RiskClass = '0' and  RIS.RISKclassSTRING ='n.a.' THEN '5'
		     WHEN RIS.RiskClass is null and  RIS.RISKclassSTRING ='n.a.' THEN '0'
		     WHEN RIS.RiskClass is null AND RIS.RISKclassSTRING ='n.d.' THEN null 
		     --NEL FOGLIO XLS DI ESTRAZIONE DATI S80 PER QC RICORDARSI DI sotituire 
			 --NULL con 'n.d.'
			 --'5' con 'n.a.'
			 --'0' con 'n.a.' 
		     ELSE RIS.RiskClass 
		     END AS [Rischio Credito]
		FROM
		C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio PAT
        inner join
        C6MartPeriodico.TB_S80BisEvoluzioneRischio RIS
        on 
        RIS.RETE=PAT.RETE
        AND 
        RIS.CodiceFiscale=PAT.Cod_Fiscale
        AND 
        RIS.Fase=PAT.Fase
        AND 
        RIS.DataFase=PAT.DataFase
        inner join dbo.appocampionereport CAMP
        on CAMP.rete=PAT.Rete and CAMP.cod_fiscale=PAT.Cod_Fiscale
        WHERE PAT.FASE != '3' 
        ORDER BY PAT.Rete, PAT.Cod_Fiscale, PAT.FASE
END